# HG changeset patch
# Parent e345d12e6d54297d05720389ed40e08b545cc50f
Fix ENSURE-FUNCTION to return FDEFINITION of symbol as documented.

diff -r e345d12e6d54 uiop/utility.lisp
--- a/uiop/utility.lisp	Mon Oct 28 10:11:25 2013 -0400
+++ b/uiop/utility.lisp	Sat Nov 02 19:18:16 2013 +0100
@@ -372,7 +372,7 @@
     (etypecase fun
       (function fun)
       ((or boolean keyword character number pathname) (constantly fun))
-      (symbol fun)
+      (symbol (fdefinition fun))
       (cons (if (eq 'lambda (car fun))
                 (eval fun)
                 #'(lambda (&rest args) (apply (car fun) (append (cdr fun) args)))))
